#include "tetris.h"

void init(int n) {
}

int state = 0;
int position;
int rotation;


void new_figure(int figure_type) {
    if (figure_type == 1) {
        position = 0;
        rotation = 0;
    } else if (figure_type == 2) {
        int rot[6] = {0, 1, 1, 0, 0, 0};
        int pos[6] = {0, 2, 0, 0, 1, 1};
        int nxt[6] = {1, 3, 4, 0, 0, 1};
        rotation = rot[state];
        position = pos[state];
        state = nxt[state];
    } else {
        int rot[6] = {0, 2, 3, 0, 1, 2};
        int pos[6] = {0, 1, 0, 0, 1, 1};
        int nxt[6] = {5, 2, 1, 4, 3, 0};
        rotation = rot[state];
        position = pos[state];
        state = nxt[state];
    }
}

int get_position() {
	return position;
}

int get_rotation() {
	return rotation;
}

