unit tetris;

interface

procedure init(n: longint);
procedure new_figure(figure_type: longint);
function get_position(): longint;
function get_rotation(): longint;

implementation

var
    position, rotation: longint;
    state: longint;

procedure init(n: longint);
begin	
	state := 0;
end;

procedure new_figure(figure_type: longint);
const
   rot: array [0..5] of longint = (0, 1, 1, 0, 0, 0);
   pos: array [0..5] of longint = (0, 2, 0, 0, 1, 1);
   nxt: array [0..5] of longint = (1, 3, 4, 0, 0, 1);
   rot2: array [0..5] of longint = (0, 2, 3, 0, 1, 2);
   pos2: array [0..5] of longint = (0, 1, 0, 0, 1, 1);
   nxt2: array [0..5] of longint = (5, 2, 1, 4, 3, 0);
begin	
    if figure_type = 1 then begin
        position := 0;
        rotation := 0;
    end else if (figure_type = 2) then begin
        rotation := rot[state];
        position := pos[state];
        state := nxt[state];
    end else begin
        rotation := rot2[state];
        position := pos2[state];
        state := nxt2[state];
    end;
end;

function get_position(): longint;
begin	
    get_position := position;
end;

function get_rotation(): longint;
begin
	get_rotation := rotation;
end;

end.